<!-- Loader starts-->
<div class="loader-wrapper">
  <div class="loader bg-white">
      <div class="whirly-loader"></div>
  </div>
</div>
<!-- Loader ends-->
<div class="row">
  <div class="col-md-12">
    <div class="auth-innerright">
      <div class="authentication-box">
        <div class="card mt-4">
          <div class="card-body">
            <div class="text-center">
              <h4><%= title %></h4>
            </div>
           
            <form class="theme-form" method="POST" action='/updatepass/<%=resetPasswordToken %>'>
              <div class="form-group">
                <input type="password" class="form-control" placeholder="Password" required=""
                    name="password">
            </div>
            <div class="form-group">
                <input type="password" class="form-control" placeholder="Password confirm" required=""
                    name="confirm">
            </div>

              <div class="form-group form-row mt-3 mb-0">
                <button class="btn btn-primary btn-block" type="submit">Update Pass</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
  $(document).ready(function () {

$('input#confirmPassword').on('input',function(){
  let newPass = $('input#password').val();
  let conf = $(this).val();
  if( conf === newPass && newPass!=''){
    $('#texterror').text('Contraseña correcta').css('color','#1ab394');
      $('button#savePass').removeAttr('disabled');
  }else{
    $('#texterror').text('Contraseña incorrecta').css('color','red');
      $('button#savePass').attr('disabled', 'disabled');
  }

})

//guardar la nueva contraseña
$('button#savePass').on('click', function () {
  var confirmacion = $('input#confirmPassword').val();
  var datos = {
      password: confirmacion
  }
  var resetPasswordToken = $('input[name=resetPasswordToken]').val();
  if(confirmacion!=''){
      fetch(`/users/reset-pass/${resetPasswordToken}`, {
              method: "PUT",
              body: JSON.stringify(datos),
              headers: {
                  "Content-Type": "application/json"
              }
          }).then(response => {
              if (response.ok) {
                  console.log(response.status);
                  console.log(response);
                  swal({
                      "title": "Bien Hecho!",
                      "text": "Cambiaste la contraseña!",
                      "type": "success",
                      "timer": 1500
                  }, () => {
                      location.href = "/users/login";
                  });


              } else {
                  return Promise.reject({
                      status: response.status,
                      statusText: response.statusText
                  })
              }
          })
          .catch(err => {
              swal("Ups", "Ocurrio un problema");

          })
  }

})
})
</script>